Summary:        stringified perl data structures, suitable for both printing and C<eval>
Name:           perl-Data-Dumper
Version:        2.183
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Dumper
Source0:        https://cpan.metacpan.org/authors/id/N/NW/NWCLARK/Data-Dumper-%{version}.tar.gz
# build
BuildRequires:  coreutils, findutils, gcc, make, perl-devel, perl-generators, perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76, perl(File::Copy), perl(strict), perl(warnings)
# Run-time:
BuildRequires:  perl(B::Deparse), perl(bytes), perl(Carp), perl(constant), perl(Exporter), perl(Scalar::Util), perl(XSLoader)
# Tests only:
BuildRequires:  perl(Config), perl(if), perl(lib), perl(overload), perl(strict), perl(Test::More) >= 0.98, perl(vars), perl(Encode)
Requires:       perl(B::Deparse)
Requires:       perl(bytes)
Requires:       perl(Scalar::Util)
Requires:       perl(XSLoader)

%{?perl_default_filter}

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Testing\\)

%description
convert perl data structures into perl syntax suitable for both printing
and eval.



%prep
%autosetup -n Data-Dumper-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{build_cflags}"
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%doc Changes Todo
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Data*
%{_mandir}/man3/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.183-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.183-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.183-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.183-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.183-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.183-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.183-1
- Initial building.
